#!perl -w
#
#  Copyright 2000, G. Wade Johnson
#  Released under the same license as Perl.
#
#  Version: 0.7.1
#
#  This module implements a set of utility routines for use when processing
#  a WSDL file.
#

use XML::Data::DataDoc;
use Data::Dumper;
use strict;

sub  child_of
 {
  my $me    = shift;
  my $child = shift;

  grep { $child == $_ } $me->ElementContent;
 }


sub  descendent_of
 {
  my $me    = shift;
  my $desc  = shift;

  grep { $desc == $_ or descendent_of( $_, $desc ) } $me->ElementContent;
 }


sub  ancestor_of
 {
  my $ancest = shift;
  my $ancestorlist = shift;

  grep { $ancest == $_ } @{$ancestorlist};
 }


sub  parent_of
 {
  my $ancest = shift;

  $ancest == $_[0]->[0];
 }

1;